%define debug_package %{nil}
%if %oraclelinux == 8
%define distro el8
%endif
%if %oraclelinux == 9
%define distro el9
%endif
%if %oraclelinux == 10
%define distro el10
%endif

Name:           oracle-common-release
Version:        1.0
Release:        2%{dist}
Summary:        Oracle Java SE Development Kit (JDK) yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:	LICENSE
Source1:	ksplice-ol10.repo
Source2:	ksplice-ol10.repo.aarch64
Source3:	oci-included-ol10.repo
Source4:	oracle-epel-ol10.repo
Source5:	oraclelinux-developer-ol10.repo

BuildArch:     x86_64 aarch64

%description
This package contains yum repository configurations for different repositories distributed in Oracle Linux

%package -n ksplice-release-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Ksplice yum repository configuration
Group:   System Environment
%description -n ksplice-release-%distro
This package contains the  Ksplice yum repository configuration.

%package -n oci-included-release-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Oracle Software yum repository configuration
Group:   System Environment
%description -n oci-included-release-%distro
This package contains the  Oracle Software yum repository configuration.

%package -n oracle-epel-release-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Extra Packages for Enterprise Linux (EPEL) yum repository configuration
Group:   System Environment
%description -n oracle-epel-release-%distro
This package contains the  Extra Packages for Enterprise Linux (EPEL) yum repository configuration.

%package -n oraclelinux-developer-release-%distro
Requires:      oraclelinux-release-%distro
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl
Summary: Oracle Linux Developer yum repository configuration
Group:   System Environment
%description -n oraclelinux-developer-release-%distro
This package contains the  Oracle Linux Developer yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/ksplice-release-%distro/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/oci-included-release-%distro/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/oracle-epel-release-%distro/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/oraclelinux-developer-release-%distro/

install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
# populating repository files
# if certain package has different repo files for aarch64 and x86_64
# use block below
%ifarch x86_64
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif
%ifarch aarch64
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/ksplice-ol10.repo
%endif
# generic repo files
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

#Install License file
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/usr/share/doc/ksplice-release-%distro/
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/usr/share/doc/oci-included-release-%distro/
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/usr/share/doc/oracle-epel-release-%distro/
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/usr/share/doc/oraclelinux-developer-release-%distro/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n ksplice-release-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/ksplice-release-*
%{_datadir}/doc/ksplice-release-*/*
%config(noreplace) /etc/yum.repos.d/ksplice-ol10.repo

%files -n oci-included-release-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/oci-included-release-*
%{_datadir}/doc/oci-included-release-*/*
%config(noreplace) /etc/yum.repos.d/oci-included-ol10.repo

%files -n oracle-epel-release-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/oracle-epel-release-*
%{_datadir}/doc/oracle-epel-release-*/*
%config(noreplace) /etc/yum.repos.d/oracle-epel-ol10.repo

%files -n oraclelinux-developer-release-%distro
%defattr(-,root,root,-)
%dir %{_datadir}/doc/oraclelinux-developer-release-*
%{_datadir}/doc/oraclelinux-developer-release-*/*
%config(noreplace) /etc/yum.repos.d/oraclelinux-developer-ol10.repo


%changelog
* Mon Jun 09 2025 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-2
- Update EPEL repository naming and URL

* Tue Apr 22 2025 Alex Burmashev <alexander.burmashev@oracle.com> - 1.0-1
- Initial release
